TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RandomConsecutiveBits ( elt-ord^rat n, elt-ord^rat a, elt-ord^rat b ) -> elt-ord^rat

### Description

<shortdoc> A random n-bit integer with strings of consecutive ones and zeros whose lengths are in the range [a .. b]. </shortdoc>

### Examples

RandomConsecutiveBits(3,0,1);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack